org.gradle.platform.base

## Interface BinarySpec

- All Superinterfaces:
    Buildable, BuildableModelElement, Named
  All Known Subinterfaces:
    ApplicationBinarySpec, ClassDirectoryBinarySpec, CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, JarBinarySpec, JvmBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, PlayApplicationBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec
  All Known Implementing Classes:
    BaseBinarySpec

      @Incubating
      public interface BinarySpec
      extends BuildableModelElement, Named

  Represents a binary artifact that is the result of building a project component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this binary.
    `DomainObjectSet<LanguageSourceSet>` | `getInputs()` Returns all inputs of the binary.
    `DomainObjectSet<LanguageSourceSet>` | `getSource()` Deprecated. This method is replaced with `getInputs()`.
    `ModelMap<LanguageSourceSet>` | `getSources()` The sources owned by this binary.
    `BinaryTasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `boolean` | `isBuildable()` Can this binary be built in the current environment?

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this binary.

    - #### isBuildable

          boolean isBuildable()

      Can this binary be built in the current environment?

    - #### getSource

          @Deprecated
          DomainObjectSet<LanguageSourceSet> getSource()

      Deprecated. This method is replaced with `getInputs()`.
      The source sets used to compile this binary.

    - #### getSources

          ModelMap<LanguageSourceSet> getSources()

      The sources owned by this binary.
      Returns:
        the sources owned by the binary.

    - #### getInputs

          DomainObjectSet<LanguageSourceSet> getInputs()

      Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).
      Returns:
        all inputs of the binary.

    - #### getTasks

          BinaryTasksCollection getTasks()

      The set of tasks associated with this binary.